Approve earn provider terms of service
Approves earn provider terms of service for this workspace (one-time per tenant).
When isTermsApprovalRequired is true on a provider (see list providers),
call this once before creating or executing earn actions with providers that require it.
After success, GET /earn/providers reflects isTermsOfServiceApproved.
POST
/
earn
/
providers
/
approve_terms_of_service
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.earn.approveTermsOfService(earnApiApproveTermsOfServiceRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.earn().approveTermsOfService(idempotencyKey);response = fireblocks.earn.approve_terms_of_service(idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/earn/providers/approve_terms_of_serviceconst options = {method: 'POST'};
fetch('https://api.fireblocks.io/v1/earn/providers/approve_terms_of_service', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Response
Terms of service accepted.
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.earn.approveTermsOfService(earnApiApproveTermsOfServiceRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.earn().approveTermsOfService(idempotencyKey);response = fireblocks.earn.approve_terms_of_service(idempotency_key);